Bug 15576 - /etc/shadow 0600 permissions
Summary: /etc/shadow 0600 permissions
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-06 19:21 UTC by Dale Lovelace
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-06 19:21:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dale Lovelace 2000-08-06 19:21:23 UTC
/etc/shadow has permissions on 0600, shouldn't they be 0400?

Comment 1 Bernhard Rosenkraenzer 2000-08-08 09:29:30 UTC
Why? It's owned by root, root can write to 0400 files anyway. The only
difference is that vi warns about writing to a readonly file and you have to do
:w! instead of :w...

I don't see a real advantage in either.

Comment 2 giulioo 2000-08-08 20:24:55 UTC
Maybe he was referring to what linuxconf wants to do

 Changing permissions  of file /etc/shadow from 100600 to 100400

Explain to linuxconf that in this case 600 is ok :-)


Note You need to log in before you can comment on or make changes to this bug.